{
    "attributes": {
        "_author": {
            "isGenerated": false,
            "key": "_author",
            "origin": "d7a254c8-e520-47ba-a846-5e4db105c1f1",
            "type": "STRING",
            "value": "filatov"
        },
        "_description": {
            "isGenerated": false,
            "key": "_description",
            "origin": "d7a254c8-e520-47ba-a846-5e4db105c1f1",
            "type": "STRING",
            "value": "Check the validity of signatures of all certificates in the chain"
        },
        "_expectedResults": {
            "isGenerated": false,
            "key": "_expectedResults",
            "origin": "d7a254c8-e520-47ba-a846-5e4db105c1f1",
            "type": "STRING",
            "value": "with\r\n\tthe IUT being in the 'authorized' state\r\n\tthe IUT being requested to include certificate chain in the next CAM\r\nensure that\r\n\twhen\r\n\t\tthe IUT is requested to send a CAM\r\n\tthen\r\n\t\tthe IUT sends a SecuredMessage\r\n\t\t\tcontaining header_fields['signer_info'].signer\r\n\t\t\t\tcontaining type\r\n\t\t\t\t\tindicating 'certificate_chain'\r\n\t\t\t\tand containing certificates\r\n\t\t\t\t\tindicating length N > 1\r\n\t\t\t\t\tand containing certificates[0]\r\n\t\t\t\t\t\tcontaining signer_info\r\n\t\t\t\t\t\t\tcontaining type\r\n\t\t\t\t\t\t\t\tindicating 'certificate_digest_with_sha256'\r\n\t\t\t\t\t\t\tand containing digest\r\n\t\t\t\t\t\t\t\treferenced to the trusted certificate (CERT_ROOT)\r\n\t\t\t\t\t\tand containing signature\r\n\t\t\t\t\t\t\tverifiable using CERT_ROOT\r\n\t\t\t\t\t\t\t\t\t.subject_attributes['verification_key'].key\r\n\t\t\t\t\tand containing certificates[n] (1..N)\r\n\t\t\t\t\t\tcontaining signer_info {\r\n\t\t\t\t\t\t\tcontaining type\r\n\t\t\t\t\t\t\t\tindicating 'certificate_digest_with_sha256'\r\n\t\t\t\t\t\t\tand containing digest\r\n\t\t\t\t\t\t\t\treferenced to the certificates[n-1]\r\n\t\t\t\t\t\tand containing signature\r\n\t\t\t\t\t\t\tverifiable using certificates[n-1]\r\n\t\t\t\t\t\t\t\t\t.subject_attributes['verification_key'].key"
        },
        "_status": {
            "isGenerated": false,
            "key": "_status",
            "origin": "d7a254c8-e520-47ba-a846-5e4db105c1f1",
            "type": "STRING",
            "value": "complete"
        },
        "_type": {
            "isGenerated": false,
            "key": "_type",
            "origin": "d7a254c8-e520-47ba-a846-5e4db105c1f1",
            "type": "STRING",
            "value": "TestPurpose"
        }
    },
    "uuid": "d7a254c8-e520-47ba-a846-5e4db105c1f1"
}